namespace Model;

public class Artiste
{
    public string Name
    {
        get => name;

        set
        {
            if (value != null && value.Length < 75)
            {
                name = value;
            }
        }
    }

    private string name = "Unknown";

    public IEnumerable<Album> Albums { get; set; }

    public Artiste(string name)
    {
        Name = name;
        Albums = new List<Album>();
    }

    public void AddAlbum(Album album)
    {
        Albums.Prepend(album);
    }
}
